C
C     **********************************************
C     **                                          **
C     **          システム連携のチェック          **
C     **                                          **
C     **********************************************
C
C
      SUBROUTINE FLCK
C
C
      IMPLICIT INTEGER (A-Z)
      INCLUDE 'seps.inc'
C
C      CHARACTER T*8,S*8
      CHARACTER CC1*100,CC2*100,CC3*100,DD*13
      CHARACTER PSEIDNAME(0:9)*10
C
C
      PSEIDNAME(0)='現厚年'
      PSEIDNAME(1)='国共済'
      PSEIDNAME(2)='JR共済'
      PSEIDNAME(3)='JT共済'
      PSEIDNAME(4)='地共済'
      PSEIDNAME(5)='私学共済'
      PSEIDNAME(6)='農林共済'
      PSEIDNAME(7)='旧厚年&NTT'
C
C     Ｕ−ＳＹＳＴＥＭでの打ち出し用
C
      CC1='#02-0001-0001;(U-SYSTEM) - (KEY=1〜8) - 実行時間'
      CC2='#02-0001-0002;(U-SYSTEM) - (KEY=1〜8) - 関連ファイル'
      CC3='#02-0001-0003;(U-SYSTEM) - (KEY=1〜8) - 各種設定識別子'
      DD='#99-0000-0000'
C
      DO 1000 J=1,3
        JF=00
        IF(J.EQ.1) JF=02
        IF(J.EQ.2 .AND.
     &     (KEY.EQ.1  .OR. KEY.EQ.3  .OR. KEY.EQ.4  .OR. KEY.EQ.6  .OR.
     &      KEY.EQ.7  .OR. KEY.EQ.11 .OR. KEY.EQ.12 .OR. KEY.EQ.13 .OR.
     &      KEY.EQ.14 .OR. KEY.EQ.21 .OR. KEY.EQ.22 .OR. KEY.EQ.23    ))
     &    JF=80
        IF(J.EQ.3 .AND.
     &     (KEY.EQ.2  .OR. KEY.EQ.5  .OR. KEY.EQ.8  .OR.
     &      KEY.EQ.11 .OR. KEY.EQ.12 .OR. KEY.EQ.13 .OR. KEY.EQ.14))
     &    JF=90
C
        IF(JF.EQ.0) GO TO 1000
C
C       実行時間の出力
        WRITE(JF,8000) CC1
C
C       関連ファイル
        WRITE(JF,8000) CC2
C       基礎率ファイル
        IF(PSEID.NE.7) WRITE(JF,8200) KISORFILE(PSEID)
        IF(PSEID.NE.7) WRITE(JF,8220) HOUFILE
        IF(PSEID.NE.7) WRITE(JF,8230) SIKFILE
        IF(PSEID.NE.7) WRITE(JF,8240) YUIZOFILE
C        IF(PSEID.NE.7) WRITE(JF,8250) ''
C       経済要素ファイル
        IF(PSEID.NE.7) WRITE(JF,8260) ECONFILE
C       将来生命表死亡率ファイル
        IF(PSEID.NE.7) WRITE(JF,8270) QXFILE
C       基礎数ファイル
        IF(PSEID.NE.7) WRITE(JF,8280) HIHOFILE(PSEID,1)
        IF(PSEID.NE.7) WRITE(JF,8290) HIHOFILE(PSEID,2)
        IF(PSEID.EQ.0) WRITE(JF,8300) HIHOFILE(PSEID,3)
        IF(PSEID.NE.7) WRITE(JF,8310) JUKFILE(PSEID,1)
        IF(PSEID.NE.7) WRITE(JF,8320) JUKFILE(PSEID,2)
        IF(PSEID.EQ.0) WRITE(JF,8330) JUKFILE(PSEID,3)
C       外枠ファイル
        IF(PSEID.NE.7) WRITE(JF,8340) WAKUFILE(PSEID)
        IF(PSEID.EQ.0) WRITE(JF,8350) WAKUFILE( 8)
        IF(PSEID.EQ.0) WRITE(JF,8360) WAKUFILE(10)
        IF(FLG_PART.GE.1 .AND. PSEID.EQ.0) THEN
          WRITE(JF,8370) WAKUFILE(11)
          WRITE(JF,8373) WAKUFILE(12)
          WRITE(JF,8375) WAKUFILE(13)
          IF(FLG_PART.GE.3) THEN
            WRITE(JF,8376) WAKUFILE(14)
            WRITE(JF,8377) WAKUFILE(15)
          END IF
        END IF
C
C       人口ファイル
        WRITE(JF,8380) WAKUFILE(9)
C
C       制度改正識別子
        WRITE(JF,8000) CC3
C       試算の種類
        IF(KEY.LE.8) THEN
          WRITE(JF,8500) KEY
        ELSE IF(KEY.GE.11 .AND. KEY.LE.14) THEN
          IF(J.EQ.2) THEN
            IF(KEY.EQ.11) THEN
              KEYNAME=1
            ELSE IF(KEY.EQ.12 .OR. KEY.EQ.14) THEN
              KEYNAME=4
            ELSE IF(KEY.EQ.13) THEN
              KEYNAME=7
            END IF
          ELSE IF(J.EQ.3) THEN
            IF(KEY.EQ.11) THEN
              KEYNAME=2
            ELSE IF(KEY.EQ.12 .OR. KEY.EQ.14) THEN
              KEYNAME=5
            ELSE IF(KEY.EQ.13) THEN
              KEYNAME=8
            END IF
          ELSE
            KEYNAME=0
          END IF
          WRITE(JF,8500) KEYNAME
        ELSE IF(KEY.GE.21 .AND. KEY.LE.23) THEN
          IF(J.EQ.2) THEN
            IF(KEY.EQ.21) THEN
              KEYNAME=1
            ELSE IF(KEY.EQ.22) THEN
              KEYNAME=4
            ELSE IF(KEY.EQ.23) THEN
              KEYNAME=7
            END IF
          ELSE
            KEYNAME=0
          END IF
          WRITE(JF,8500) KEYNAME
        ELSE
          WRITE(6,*) 'STOP! KEYNAME (flck.f)'
          STOP
        END IF
C       試算制度
        WRITE(JF,8510) PSEID,PSEIDNAME(PSEID)
C       計算年度
        WRITE(JF,8520) KS,KE
C       基礎数年度
        WRITE(JF,8530) KIJUN
C       代行相当給付
        WRITE(JF,8540) DAIK14
C       死亡率改善
        IF(KZN.EQ.4 .OR. KZN.EQ.5 .OR. KZN.EQ.6 .OR. KZN.EQ.7) THEN
          WRITE(JF,8550) KZN,KZNY
        ELSE
          WRITE(JF,8560) KZN
        END IF
C       試算の前提
        WRITE(JF,8570) SEIDVER
C       物価スライド特例水準の強制解消の有無
        WRITE(JF,8580) FLG_KAISHO
C       年金債務計算の基準年度と障害遺族、加給の扱い
        WRITE(JF,8590) PSLY,PSLSI,PSLSI2
C       70歳以上の適用拡大
        WRITE(JF,8600) KOZAEXYR,KOZAIEX2
C       パートの適用拡大
        WRITE(JF,8610) FLG_PART
        IF(FLG_PART.GE.1) THEN
          WRITE(JF,8620) PARTYR1
          WRITE(JF,8630) PARTYR2
        END IF
        WRITE(JF,8750) FLG_HSR
        WRITE(JF,8760) FLG_SIGO
        WRITE(JF,8770) FLG_KOZAX
C
C       結果データの出力
        WRITE(JF,8030) DD
C
 1000 CONTINUE
C
 8000 FORMAT(A100)
 8010 FORMAT(A1)
 8020 FORMAT(1X,I2,1X,I4,1X,I4)
 8030 FORMAT(A13)
 8100 FORMAT(I2,1X,I2,1X,I2)
 8110 FORMAT('西暦',I4,'年',I2,'月',I2,'日',I2,'時',I2,'分',I2,'秒')
 8200 FORMAT('10,',A55,', 基礎率ファイル')
 8220 FORMAT('11,',A55,', 報酬基礎率ファイル')
 8230 FORMAT('12,',A55,', 支給率ファイル')
 8240 FORMAT('14,',A55,', 有遺族ファイル')
 8250 FORMAT('17,',A55,',（欠番）')
 8260 FORMAT('20,',A55,', 経済要素ファイル')
 8270 FORMAT('25,',A55,', 将来生命表死亡率ファイル')
 8280 FORMAT('30,',A55,', 被保険者基礎数ファイル(１種)')
 8290 FORMAT('31,',A55,', 被保険者基礎数ファイル(２種)')
 8300 FORMAT('32,',A55,', 被保険者基礎数ファイル(３種)')
 8310 FORMAT('35,',A55,', 受給権者基礎数ファイル(１種)')
 8320 FORMAT('36,',A55,', 受給権者基礎数ファイル(２種)')
 8330 FORMAT('37,',A55,', 受給権者基礎数ファイル(３種)')
 8340 FORMAT('70,',A55,', 外枠ファイル(１，２種)')
 8350 FORMAT('71,',A55,', 外枠ファイル(３種)')
 8360 FORMAT('73,',A55,', 外枠ファイル(基金分)')
 8370 FORMAT('75,',A55,', 外枠ファイル(パート猶予調整考慮)')
 8373 FORMAT('76,',A55,', 外枠ファイル(パート猶予あり(下))')
 8375 FORMAT('77,',A55,', 外枠ファイル(パート猶予なし(上))')
 8376 FORMAT('78,',A55,', 猶予なし適用拡大の内訳(一般)')
 8377 FORMAT('79,',A55,', 猶予なし適用拡大の内訳(パート)')
 8380 FORMAT('72,',A55,', 人口ファイル')
 8500 FORMAT('01,',I3,', KEY       , 試算の種類')
 8510 FORMAT('02,',I3,', PSEID     , 試算制度  ,',A10)
 8520 FORMAT('03,',I3,', KS        , 初年度,  ', I3, ',
     &                   KE        , 最終年度')
 8530 FORMAT('04,',I3,', KIJUN     , 基礎数(計算初期値)年度')
 8540 FORMAT('05,',I3,', DAIK14    , 代行相当給付の範囲')
 8550 FORMAT('06,',I3,', KZN       , 死亡率改善の設定, ',I3)
 8560 FORMAT('06,',I3,', KZN       , 死亡率改善の設定')
 8570 FORMAT('07,',I3,', SEIDVER   , 試算の前提')
 8580 FORMAT('08,',I3,', FLG_KAISHO, 特例水準強制解消の有無')
 8590 FORMAT('09,',I3,', PSLY      , 年金債務計算の基準年度    ,',
     &                   I1, ',', I1)
 8600 FORMAT('10,',I3,', KOZAEXYR  , 70歳以上の適用拡大の基準年度,',
     &             I3,', KOZAIEX2  , 70歳以上からの保険料の徴収,')
 8610 FORMAT('11,',I3,', FLG_PART  , パートの適用拡大')
 8620 FORMAT('12,',I3,', PARTYR1   , パートの適用拡大の基準年度(1)')
 8630 FORMAT('12,',I3,', PARTYR2   , パートの適用拡大の基準年度(2)')
 8750 FORMAT('20,',I3,', FLG_HSR   , 男女別賃金上昇率の設定')
 8760 FORMAT('20,',I3,', FLG_SIGO  , 基礎年金４５年加入延長')
 8770 FORMAT('20,',I3,', FLG_KOZAX , 高在老（65-69）の廃止')
C
C
      RETURN
C
      END 
C
